# fix an implicit pointer to int cast 
--- a/chan_mobile.c	2009-05-22 19:40:24.000000000 +0200
+++ b/chan_mobile.c	2009-05-22 19:18:50.000000000 +0200
@@ -1017,6 +1017,7 @@
 {
 
 	struct mbl_pvt *pvt = ast->tech_pvt;
+	struct ast_frame *fr;
 	int r;
 
 	ast_debug(3, "*** mbl_read()\n");
@@ -1058,11 +1059,11 @@
 	if (pvt->do_alignment_detection)
 		do_alignment_detection(pvt, pvt->fr.data.ptr, r);
 
-	r = ast_dsp_process(ast, pvt->dsp, &pvt->fr);
+	fr = ast_dsp_process(ast, pvt->dsp, &pvt->fr);
 	
 	ast_mutex_unlock(&pvt->lock);
 
-	return r;
+	return fr;
 }
 
 static int mbl_write(struct ast_channel *ast, struct ast_frame *frame)
